Bug 91231 - up2date picks wrong kernel
up2date picks wrong kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-20 04:10 EDT by Christopher Chan
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 16:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
testarch.py: python script to test rpm arch detection (146 bytes, text/plain)
2003-05-20 15:14 EDT, Adrian Likins
no flags Details

  None (edit)
Description Christopher Chan 2003-05-20 04:10:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021204
Phoenix/0.4

Description of problem:
up2date picked a i586 kernel instead of a i686 kernel when up2date -if
kernel-smp was run.

uname -a
Linux spf2.hk.outblaze.com 2.4.20-8 #1 Thu Mar 13 17:54:28 EST 2003 i686 i686
i386 GNU/Linux

up2date -if kernel-smp

Fetching package list for channel: redhat-linux-i386-9...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-9...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
kernel-smp-2.4.20-13.9.i586 ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:kernel-smp             ########################################### [100%]

lspci
00:00.0 Host bridge: Intel Corp. 440GX - 82443GX Host bridge
00:01.0 PCI bridge: Intel Corp. 440GX - 82443GX AGP bridge
00:0c.0 SCSI storage controller: Adaptec AIC-7896U2/7897U2
00:0c.1 SCSI storage controller: Adaptec AIC-7896U2/7897U2
00:0e.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:12.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:12.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:12.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:12.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:14.0 VGA compatible controller: Cirrus Logic GD 5480 (rev 23)
01:0f.0 PCI bridge: Digital Equipment Corporation DECchip 21150 (rev 06)


Version-Release number of selected component (if applicable):
up2date-3.1.23-1

How reproducible:
Didn't try

Steps to Reproduce:
1. haven't tried
2.
3.
    

Actual Results:  I got the latest i586 kernel for my PIII 1Ghz box

Expected Results:  I should have got the latest i686 kernel for my PIII 1Ghz box

Additional info:
Comment 1 Adrian Likins 2003-05-20 15:13:51 EDT
I'm attaching a test script to this bug report, if you could run it
on the machine in question, and send me the output, it would
be very useful.

It's a script to test the arch detection code...
Comment 2 Adrian Likins 2003-05-20 15:14:42 EDT
Created attachment 91838 [details]
testarch.py: python script to test rpm arch detection
Comment 3 Christopher Chan 2003-05-21 04:11:39 EDT
noarch: 5
i386: 4
i486: 3
i586: 2
i686: 1
athlon: 0
blippy: 0

Here's the output from your python script.

Note You need to log in before you can comment on or make changes to this bug.